org.apache.xerces.impl

## Class Constants

- java.lang.Object
- - org.apache.xerces.impl.Constants

-     public final class Constants
      extends java.lang.Object

  Commonly used constants.
  Version:
    $Id: Constants.java 1890307 2021-05-29 09:07:37Z mukulg $
  Author:
    Andy Clark, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ALLOW_DTD_EVENTS_AFTER_ENDDTD_FEATURE` Allow unparsed entity and notation declaration events to be sent after the end DTD event ("allow-dtd-events-after-endDTD")
    `static java.lang.String` | `ALLOW_JAVA_ENCODINGS_FEATURE` Allow Java encoding names feature ("allow-java-encodings").
    `static java.lang.String` | `ASSERT_COMMENT_PI_CHECKING_FEATURE` Feature to allow if comments and PIs should be available in XDM trees
    `static java.lang.String` | `ATTRIBUTE_DECLARED` Boolean indicating whether an attribute is declared in the DTD is stored in augmentations using the string "ATTRIBUTE_DECLARED".
    `static java.lang.String` | `ATTRIBUTE_PSVI` Attribute PSVI is stored in augmentations using string "ATTRIBUTE_PSVI"
    `static java.lang.String` | `BALANCE_SYNTAX_TREES` Balance syntax trees feature ("validation/balance-syntax-trees").
    `static java.lang.String` | `BUFFER_SIZE_PROPERTY` Input buffer size property ("input-buffer-size").
    `static java.lang.String` | `CHAR_REF_PROBABLE_WS` Boolean indicating whether a character is a probable white space character (ch <= 0x20) that was the replacement text of a character reference is stored in augmentations using the string "CHAR_REF_PROBABLE_WS".
    `static java.lang.String` | `CONTINUE_AFTER_FATAL_ERROR_FEATURE` Continue after fatal error feature ("continue-after-fatal-error").
    `static java.lang.String` | `CREATE_CDATA_NODES_FEATURE` Create cdata nodes feature ("create-cdata-nodes").
    `static java.lang.String` | `CREATE_ENTITY_REF_NODES_FEATURE` Create entity reference nodes feature ("dom/create-entity-ref-nodes").
    `static java.lang.String` | `CTA_FULL_XPATH_CHECKING_FEATURE` Feature to allow full XPath 2.0 checking for CTA processing
    `static java.lang.String` | `CURRENT_ELEMENT_NODE_PROPERTY` Current element node property ("dom/current-element-node").
    `static java.lang.String` | `DATATYPE_VALIDATOR_FACTORY_PROPERTY` Datatype validator factory ("internal/datatype-validator-factory").
    `static java.lang.String` | `DATATYPE_XML_VERSION_PROPERTY` Datatype XML version property ("validation/schema/datatype-xml-version").
    `static java.lang.String` | `DECLARATION_HANDLER_PROPERTY` Declaration handler property ("declaration-handler").
    `static java.lang.String` | `DEFAULT_ATTRIBUTE_VALUES_FEATURE` Default attribute values feature ("validation/default-attribute-values").
    `static java.lang.String` | `DEFER_NODE_EXPANSION_FEATURE` Defer node expansion feature ("dom/defer-node-expansion").
    `static java.lang.String` | `DISALLOW_DOCTYPE_DECL_FEATURE` Disallow DOCTYPE declaration feature ("disallow-doctype-decl").
    `static java.lang.String` | `DOCUMENT_CLASS_NAME_PROPERTY` Document class name property ("dom/document-class-name").
    `static java.lang.String` | `DOCUMENT_SCANNER_PROPERTY` Document scanner property ("internal/document-scanner").
    `static java.lang.String` | `DOCUMENT_XML_VERSION_PROPERTY` Document XML version property ("document-xml-version").
    `static java.lang.String` | `DOM_CANONICAL_FORM`
    `static java.lang.String` | `DOM_CDATA_SECTIONS`
    `static java.lang.String` | `DOM_CERTIFIED`
    `static java.lang.String` | `DOM_CHARSET_OVERRIDES_XML_ENCODING`
    `static java.lang.String` | `DOM_CHECK_CHAR_NORMALIZATION`
    `static java.lang.String` | `DOM_COMMENTS`
    `static java.lang.String` | `DOM_DATATYPE_NORMALIZATION`
    `static java.lang.String` | `DOM_DISALLOW_DOCTYPE`
    `static java.lang.String` | `DOM_DISCARD_DEFAULT_CONTENT`
    `static java.lang.String` | `DOM_ELEMENT_CONTENT_WHITESPACE`
    `static java.lang.String` | `DOM_ENTITIES`
    `static java.lang.String` | `DOM_ERROR_HANDLER`
    `static java.lang.String` | `DOM_FORMAT_PRETTY_PRINT`
    `static java.lang.String` | `DOM_IGNORE_UNKNOWN_CHARACTER_DENORMALIZATIONS`
    `static java.lang.String` | `DOM_INFOSET`
    `static java.lang.String` | `DOM_NAMESPACE_DECLARATIONS`
    `static java.lang.String` | `DOM_NAMESPACES`
    `static java.lang.String` | `DOM_NODE_PROPERTY` DOM node property ("dom-node").
    `static java.lang.String` | `DOM_NORMALIZE_CHARACTERS`
    `static java.lang.String` | `DOM_PSVI`
    `static java.lang.String` | `DOM_RESOURCE_RESOLVER`
    `static java.lang.String` | `DOM_SCHEMA_LOCATION`
    `static java.lang.String` | `DOM_SCHEMA_TYPE`
    `static java.lang.String` | `DOM_SPLIT_CDATA`
    `static java.lang.String` | `DOM_SUPPORTED_MEDIATYPES_ONLY`
    `static java.lang.String` | `DOM_UNKNOWNCHARS`
    `static java.lang.String` | `DOM_VALIDATE`
    `static java.lang.String` | `DOM_VALIDATE_IF_SCHEMA`
    `static java.lang.String` | `DOM_WELLFORMED`
    `static java.lang.String` | `DOM_XMLDECL`
    `static java.lang.String` | `DTD_PROCESSOR_PROPERTY` DTD processor property ("internal/dtd-processor").
    `static java.lang.String` | `DTD_SCANNER_PROPERTY` DTD scanner property ("internal/dtd-scanner").
    `static java.lang.String` | `DTD_VALIDATOR_PROPERTY` Validator property ("internal/validator/dtd").
    `static java.lang.String` | `DYNAMIC_VALIDATION_FEATURE` Dynamic validation feature ("validation/dynamic").
    `static java.lang.String` | `ELEMENT_PSVI` Element PSVI is stored in augmentations using string "ELEMENT_PSVI"
    `static java.lang.String` | `ENTITY_MANAGER_PROPERTY` Entity manager property ("internal/entity-manager").
    `static java.lang.String` | `ENTITY_RESOLVER_PROPERTY` Entity resolver property ("internal/entity-resolver").
    `static java.lang.String` | `ENTITY_SKIPPED` Boolean indicating whether an entity referenced in the document has not been read is stored in augmentations using the string "ENTITY_SKIPPED".
    `static java.lang.String` | `ERROR_HANDLER_PROPERTY` Error handler property ("internal/error-handler").
    `static java.lang.String` | `ERROR_REPORTER_PROPERTY` Error reporter property ("internal/error-reporter").
    `static java.lang.String` | `EXTERNAL_GENERAL_ENTITIES_FEATURE` External general entities feature ("external-general-entities ").
    `static java.lang.String` | `EXTERNAL_PARAMETER_ENTITIES_FEATURE` External parameter entities feature ("external-parameter-entities ").
    `static java.lang.String` | `GENERATE_SYNTHETIC_ANNOTATIONS_FEATURE` Generate synthetic annotations feature ("generate-synthetic-annotations").
    `static java.lang.String` | `HONOUR_ALL_SCHEMALOCATIONS_FEATURE` Honour all schemaLocations feature ("honour-all-schemaLocations").
    `static java.lang.String` | `ID_IDREF_CHECKING_FEATURE` Perform checking of ID/IDREFs ("validation/id-idref-checking")
    `static java.lang.String` | `IDC_CHECKING_FEATURE` Feature to ignore errors caused by identity constraints ("validation/identity-constraint-checking")
    `static java.lang.String` | `IGNORE_XSI_TYPE_FEATURE` Feature to ignore xsi:type attributes on elements during validation, until a global element declaration is found.
    `static java.lang.String` | `INCLUDE_COMMENTS_FEATURE` Comments feature ("include-comments").
    `static java.lang.String` | `INCLUDE_IGNORABLE_WHITESPACE` Include ignorable whitespace feature ("dom/include-ignorable-whitespace").
    `static java.lang.String` | `IS_CTA_EVALUATOR`
    `static short` | `IS_FACET`
    `static java.lang.String` | `IS_STANDALONE_FEATURE` Is standalone feature ("is-standalone").
    `static short` | `IS_TYPE`
    `static java.lang.String` | `JAXP_PROPERTY_PREFIX` JAXP property prefix ("http://java.sun.com/xml/jaxp/properties/").
    `static java.lang.String` | `LEXICAL_HANDLER_PARAMETER_ENTITIES_FEATURE` Lexical handler parameter entities feature ("lexical-handler/parameter-entities").
    `static java.lang.String` | `LEXICAL_HANDLER_PROPERTY` Lexical handler property ("lexical-handler").
    `static java.lang.String` | `LOAD_AS_INFOSET` Feature id: load as infoset.
    `static java.lang.String` | `LOAD_DTD_GRAMMAR_FEATURE` Load dtd grammar when nonvalidating feature ("nonvalidating/load-dtd-grammar").
    `static java.lang.String` | `LOAD_EXTERNAL_DTD_FEATURE` Load external dtd when nonvalidating feature ("nonvalidating/load-external-dtd").
    `static java.lang.String` | `LOCALE_PROPERTY` Locale property ("locale").
    `static java.lang.String` | `NAMESPACE_BINDER_PROPERTY` Namespace binder property ("internal/namespace-binder").
    `static java.lang.String` | `NAMESPACE_CONTEXT_PROPERTY` Namespace context property ("internal/namespace-context").
    `static java.lang.String` | `NAMESPACE_GROWTH_FEATURE` Namespace growth feature ("namespace-growth").
    `static java.lang.String` | `NAMESPACE_PREFIXES_FEATURE` Namespace prefixes feature ("namespace-prefixes").
    `static java.lang.String` | `NAMESPACES_FEATURE` Namespaces feature ("namespaces").
    `static java.lang.String` | `NOTIFY_BUILTIN_REFS_FEATURE` Notify built-in (&amp;, etc.) references feature (scanner/notify-builtin-refs").
    `static java.lang.String` | `NOTIFY_CHAR_REFS_FEATURE` Notify character references feature (scanner/notify-char-refs").
    `static java.lang.String` | `NS_DTD`
    `static java.lang.String` | `NS_XMLSCHEMA`
    `static java.lang.String` | `PARSER_SETTINGS` Internal performance related feature: false - the parser settings (features/properties) have not changed between 2 parses true - the parser settings have changed between 2 parses NOTE: this feature should only be set by the parser configuration.
    `static java.lang.String` | `RESOLVE_DTD_URIS_FEATURE` Resolve DTD URIs feature ("resolve-dtd-uris").
    `static java.lang.String` | `ROOT_ELEMENT_DECLARATION_PROPERTY` Schema element declaration for the root element in a document ("validation/schema/root-element-declaration").
    `static java.lang.String` | `ROOT_TYPE_DEFINITION_PROPERTY` Schema type for the root element in a document ("validation/schema/root-type-definition").
    `static java.lang.String` | `SAX_FEATURE_PREFIX` SAX feature prefix ("http://xml.org/sax/features/").
    `static java.lang.String` | `SAX_PROPERTY_PREFIX` SAX property prefix ("http://xml.org/sax/properties/").
    `static boolean` | `SCHEMA_1_1_SUPPORT`
    `static java.lang.String` | `SCHEMA_AUGMENT_PSVI` Augment Post-Schema-Validation-Infoset
    `static java.lang.String` | `SCHEMA_DV_FACTORY_PROPERTY` Schema element declaration for the root element in a document ("internal/validation/schema/dv-factory").
    `static java.lang.String` | `SCHEMA_ELEMENT_DEFAULT` Send schema default value via characters()
    `static java.lang.String` | `SCHEMA_FULL_CHECKING` Schema full constraint checking ("validation/schema-full-checking").
    `static java.lang.String` | `SCHEMA_LANGUAGE` JAXP schemaSource language: when used internally may include DTD namespace (DOM)
    `static java.lang.String` | `SCHEMA_LOCATION` No namespace schema location property ("schema/external-schemaLocation").
    `static java.lang.String` | `SCHEMA_NONS_LOCATION` Schema location property ("schema/external-noNamespaceSchemaLocation").
    `static java.lang.String` | `SCHEMA_NORMALIZED_VALUE` Expose schema normalized values
    `static java.lang.String` | `SCHEMA_SOURCE` JAXP schemaSource property: when used internally may include DTD sources (DOM)
    `static java.lang.String` | `SCHEMA_VALIDATION_FEATURE` Schema validation feature ("validation/schema").
    `static java.lang.String` | `SCHEMA_VALIDATOR_PROPERTY` Validator property ("internal/validator/schema").
    `static short` | `SCHEMA_VERSION_1_0`
    `static short` | `SCHEMA_VERSION_1_0_EXTENDED`
    `static short` | `SCHEMA_VERSION_1_1`
    `static java.lang.String` | `SECURITY_MANAGER_PROPERTY` Security manager property ("security-manager").
    `static java.lang.String` | `STANDARD_URI_CONFORMANT_FEATURE` Standard URI conformant feature ("standard-uri-conformant").
    `static java.lang.String` | `STRING_INTERNING_FEATURE` String interning feature ("string-interning").
    `static java.lang.String` | `STRINGS_INTERNED_FEATURE` String interned feature ("internal/strings-interned").
    `static java.lang.String` | `SYMBOL_TABLE_PROPERTY` Symbol table property ("internal/symbol-table").
    `static java.lang.String` | `TOLERATE_DUPLICATES_FEATURE` Tolerate duplicates feature ("internal/tolerate-duplicates").
    `static java.lang.String` | `TYPE_ALTERNATIVES_CHEKING_FEATURE` Feature to ignore errors caused by type alternatives
    `static short` | `TYPE_AND_FACET_AVAILABILITY`
    `static short` | `TYPE_AND_FACET_UNAVAILABILITY`
    `static java.lang.String` | `UNICODE_NORMALIZATION_CHECKING_FEATURE` Unicode normalization checking feature ("unicode-normalization-checking").
    `static java.lang.String` | `UNPARSED_ENTITY_CHECKING_FEATURE` Feature to ignore errors caused by unparsed entities ("validation/unparsed-entity-checking")
    `static java.lang.String` | `USE_ATTRIBUTES2_FEATURE` Use Attributes2 feature ("use-attributes2").
    `static java.lang.String` | `USE_ENTITY_RESOLVER2_FEATURE` Use EntityResolver2 feature ("use-entity-resolver2").
    `static java.lang.String` | `USE_GRAMMAR_POOL_ONLY_FEATURE` Internal feature.
    `static java.lang.String` | `USE_LOCATOR2_FEATURE` Use Locator2 feature ("use-locator2").
    `static java.lang.String` | `VALIDATE_ANNOTATIONS_FEATURE` Validate annotations feature ("validate-annotations").
    `static java.lang.String` | `VALIDATE_CONTENT_MODELS_FEATURE` Validate content models feature ("validation/validate-content-models").
    `static java.lang.String` | `VALIDATE_DATATYPES_FEATURE` Validate datatypes feature ("validation/validate-datatypes").
    `static java.lang.String` | `VALIDATION_FEATURE` Validation feature ("validation").
    `static java.lang.String` | `VALIDATION_MANAGER_PROPERTY` Validation manager property ("internal/validation-manager").
    `static java.lang.String` | `VALIDATOR_PROPERTY` Validator property ("internal/validator").
    `static java.lang.String` | `W3C_XML_SCHEMA10_NS_URI`
    `static java.lang.String` | `W3C_XML_SCHEMA10EX_NS_URI`
    `static java.lang.String` | `W3C_XML_SCHEMA11_NS_URI`
    `static java.lang.String` | `WARN_ON_DUPLICATE_ATTDEF_FEATURE` Warn on duplicate attribute declaration feature ("validation/warn-on-duplicate-attdef").
    `static java.lang.String` | `WARN_ON_DUPLICATE_ENTITYDEF_FEATURE` Warn on duplicate entity declaration feature ("warn-on-duplicate-entitydef").
    `static java.lang.String` | `WARN_ON_UNDECLARED_ELEMDEF_FEATURE` Warn on undeclared element feature ("validation/warn-on-undeclared-elemdef").
    `static java.lang.String` | `XERCES_FEATURE_PREFIX` Xerces features prefix ("http://apache.org/xml/features/").
    `static java.lang.String` | `XERCES_PROPERTY_PREFIX` Xerces properties prefix ("http://apache.org/xml/properties/").
    `static java.lang.String` | `XINCLUDE_FEATURE` XInclude processing feature ("xinclude").
    `static java.lang.String` | `XINCLUDE_FIXUP_BASE_URIS_FEATURE` XInclude fixup base URIs feature ("xinclude/fixup-base-uris").
    `static java.lang.String` | `XINCLUDE_FIXUP_LANGUAGE_FEATURE` XInclude fixup language feature ("xinclude/fixup-language").
    `static java.lang.String` | `XINCLUDE_HANDLER_PROPERTY` XInclude handler property ("internal/xinclude-handler").
    `static java.lang.String` | `XML_11_FEATURE` XML 1.1 feature ("xml-1.1").
    `static java.lang.String` | `XML_SCHEMA_VERSION_PROPERTY` XML Schema version property ("validation/schema/version").
    `static java.lang.String` | `XML_STRING_PROPERTY` XML string property ("xml-string").
    `static short` | `XML_VERSION_1_0`
    `static short` | `XML_VERSION_1_1`
    `static short` | `XML_VERSION_ERROR`
    `static java.lang.String` | `XMLGRAMMAR_POOL_PROPERTY` Grammar pool property ("internal/grammar-pool").
    `static java.lang.String` | `XMLNS_URIS_FEATURE` xmlns URIs feature ("xmlns-uris").
    `static java.lang.String` | `XPATH2_NAMESPACE_CONTEXT`
    `static java.lang.String` | `XPOINTER_HANDLER_PROPERTY` XPointer handler property ("internal/xpointer-handler").

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Enumeration` | `getSAXFeatures()` Returns an enumeration of the SAX features.
    `static java.util.Enumeration` | `getSAXProperties()` Returns an enumeration of the SAX properties.
    `static java.util.Enumeration` | `getXercesFeatures()` Returns an enumeration of the Xerces features.
    `static java.util.Enumeration` | `getXercesProperties()` Returns an enumeration of the Xerces properties.
    `static void` | `main(java.lang.String[] argv)` Prints all of the constants to standard output.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS_XMLSCHEMA

          public static final java.lang.String NS_XMLSCHEMA

    - #### NS_DTD

          public static final java.lang.String NS_DTD

    - #### W3C_XML_SCHEMA10_NS_URI

          public static final java.lang.String W3C_XML_SCHEMA10_NS_URI

    - #### W3C_XML_SCHEMA11_NS_URI

          public static final java.lang.String W3C_XML_SCHEMA11_NS_URI

    - #### W3C_XML_SCHEMA10EX_NS_URI

          public static final java.lang.String W3C_XML_SCHEMA10EX_NS_URI

    - #### SAX_FEATURE_PREFIX

          public static final java.lang.String SAX_FEATURE_PREFIX

      SAX feature prefix ("http://xml.org/sax/features/").
      See Also:
        Constant Field Values

    - #### NAMESPACES_FEATURE

          public static final java.lang.String NAMESPACES_FEATURE

      Namespaces feature ("namespaces").
      See Also:
        Constant Field Values

    - #### NAMESPACE_PREFIXES_FEATURE

          public static final java.lang.String NAMESPACE_PREFIXES_FEATURE

      Namespace prefixes feature ("namespace-prefixes").
      See Also:
        Constant Field Values

    - #### STRING_INTERNING_FEATURE

          public static final java.lang.String STRING_INTERNING_FEATURE

      String interning feature ("string-interning").
      See Also:
        Constant Field Values

    - #### VALIDATION_FEATURE

          public static final java.lang.String VALIDATION_FEATURE

      Validation feature ("validation").
      See Also:
        Constant Field Values

    - #### EXTERNAL_GENERAL_ENTITIES_FEATURE

          public static final java.lang.String EXTERNAL_GENERAL_ENTITIES_FEATURE

      External general entities feature ("external-general-entities ").
      See Also:
        Constant Field Values

    - #### EXTERNAL_PARAMETER_ENTITIES_FEATURE

          public static final java.lang.String EXTERNAL_PARAMETER_ENTITIES_FEATURE

      External parameter entities feature ("external-parameter-entities ").
      See Also:
        Constant Field Values

    - #### LEXICAL_HANDLER_PARAMETER_ENTITIES_FEATURE

          public static final java.lang.String LEXICAL_HANDLER_PARAMETER_ENTITIES_FEATURE

      Lexical handler parameter entities feature ("lexical-handler/parameter-entities").
      See Also:
        Constant Field Values

    - #### IS_STANDALONE_FEATURE

          public static final java.lang.String IS_STANDALONE_FEATURE

      Is standalone feature ("is-standalone").
      See Also:
        Constant Field Values

    - #### RESOLVE_DTD_URIS_FEATURE

          public static final java.lang.String RESOLVE_DTD_URIS_FEATURE

      Resolve DTD URIs feature ("resolve-dtd-uris").
      See Also:
        Constant Field Values

    - #### USE_ATTRIBUTES2_FEATURE

          public static final java.lang.String USE_ATTRIBUTES2_FEATURE

      Use Attributes2 feature ("use-attributes2").
      See Also:
        Constant Field Values

    - #### USE_LOCATOR2_FEATURE

          public static final java.lang.String USE_LOCATOR2_FEATURE

      Use Locator2 feature ("use-locator2").
      See Also:
        Constant Field Values

    - #### USE_ENTITY_RESOLVER2_FEATURE

          public static final java.lang.String USE_ENTITY_RESOLVER2_FEATURE

      Use EntityResolver2 feature ("use-entity-resolver2").
      See Also:
        Constant Field Values

    - #### UNICODE_NORMALIZATION_CHECKING_FEATURE

          public static final java.lang.String UNICODE_NORMALIZATION_CHECKING_FEATURE

      Unicode normalization checking feature ("unicode-normalization-checking").
      See Also:
        Constant Field Values

    - #### XMLNS_URIS_FEATURE

          public static final java.lang.String XMLNS_URIS_FEATURE

      xmlns URIs feature ("xmlns-uris").
      See Also:
        Constant Field Values

    - #### XML_11_FEATURE

          public static final java.lang.String XML_11_FEATURE

      XML 1.1 feature ("xml-1.1").
      See Also:
        Constant Field Values

    - #### ALLOW_DTD_EVENTS_AFTER_ENDDTD_FEATURE

          public static final java.lang.String ALLOW_DTD_EVENTS_AFTER_ENDDTD_FEATURE

      Allow unparsed entity and notation declaration events to be sent after the end DTD event ("allow-dtd-events-after-endDTD")
      See Also:
        Constant Field Values

    - #### SAX_PROPERTY_PREFIX

          public static final java.lang.String SAX_PROPERTY_PREFIX

      SAX property prefix ("http://xml.org/sax/properties/").
      See Also:
        Constant Field Values

    - #### DECLARATION_HANDLER_PROPERTY

          public static final java.lang.String DECLARATION_HANDLER_PROPERTY

      Declaration handler property ("declaration-handler").
      See Also:
        Constant Field Values

    - #### LEXICAL_HANDLER_PROPERTY

          public static final java.lang.String LEXICAL_HANDLER_PROPERTY

      Lexical handler property ("lexical-handler").
      See Also:
        Constant Field Values

    - #### DOM_NODE_PROPERTY

          public static final java.lang.String DOM_NODE_PROPERTY

      DOM node property ("dom-node").
      See Also:
        Constant Field Values

    - #### XML_STRING_PROPERTY

          public static final java.lang.String XML_STRING_PROPERTY

      XML string property ("xml-string").
      See Also:
        Constant Field Values

    - #### DOCUMENT_XML_VERSION_PROPERTY

          public static final java.lang.String DOCUMENT_XML_VERSION_PROPERTY

      Document XML version property ("document-xml-version").
      See Also:
        Constant Field Values

    - #### JAXP_PROPERTY_PREFIX

          public static final java.lang.String JAXP_PROPERTY_PREFIX

      JAXP property prefix ("http://java.sun.com/xml/jaxp/properties/").
      See Also:
        Constant Field Values

    - #### SCHEMA_SOURCE

          public static final java.lang.String SCHEMA_SOURCE

      JAXP schemaSource property: when used internally may include DTD sources (DOM)
      See Also:
        Constant Field Values

    - #### SCHEMA_LANGUAGE

          public static final java.lang.String SCHEMA_LANGUAGE

      JAXP schemaSource language: when used internally may include DTD namespace (DOM)
      See Also:
        Constant Field Values

    - #### INCLUDE_COMMENTS_FEATURE

          public static final java.lang.String INCLUDE_COMMENTS_FEATURE

      Comments feature ("include-comments").
      See Also:
        Constant Field Values

    - #### CREATE_CDATA_NODES_FEATURE

          public static final java.lang.String CREATE_CDATA_NODES_FEATURE

      Create cdata nodes feature ("create-cdata-nodes").
      See Also:
        Constant Field Values

    - #### LOAD_AS_INFOSET

          public static final java.lang.String LOAD_AS_INFOSET

      Feature id: load as infoset.
      See Also:
        Constant Field Values

    - #### DOM_CANONICAL_FORM

          public static final java.lang.String DOM_CANONICAL_FORM

      See Also:
        Constant Field Values

    - #### DOM_CDATA_SECTIONS

          public static final java.lang.String DOM_CDATA_SECTIONS

      See Also:
        Constant Field Values

    - #### DOM_COMMENTS

          public static final java.lang.String DOM_COMMENTS

      See Also:
        Constant Field Values

    - #### DOM_CHARSET_OVERRIDES_XML_ENCODING

          public static final java.lang.String DOM_CHARSET_OVERRIDES_XML_ENCODING

      See Also:
        Constant Field Values

    - #### DOM_DATATYPE_NORMALIZATION

          public static final java.lang.String DOM_DATATYPE_NORMALIZATION

      See Also:
        Constant Field Values

    - #### DOM_ENTITIES

          public static final java.lang.String DOM_ENTITIES

      See Also:
        Constant Field Values

    - #### DOM_INFOSET

          public static final java.lang.String DOM_INFOSET

      See Also:
        Constant Field Values

    - #### DOM_NAMESPACES

          public static final java.lang.String DOM_NAMESPACES

      See Also:
        Constant Field Values

    - #### DOM_NAMESPACE_DECLARATIONS

          public static final java.lang.String DOM_NAMESPACE_DECLARATIONS

      See Also:
        Constant Field Values

    - #### DOM_SUPPORTED_MEDIATYPES_ONLY

          public static final java.lang.String DOM_SUPPORTED_MEDIATYPES_ONLY

      See Also:
        Constant Field Values

    - #### DOM_VALIDATE_IF_SCHEMA

          public static final java.lang.String DOM_VALIDATE_IF_SCHEMA

      See Also:
        Constant Field Values

    - #### DOM_VALIDATE

          public static final java.lang.String DOM_VALIDATE

      See Also:
        Constant Field Values

    - #### DOM_ELEMENT_CONTENT_WHITESPACE

          public static final java.lang.String DOM_ELEMENT_CONTENT_WHITESPACE

      See Also:
        Constant Field Values

    - #### DOM_DISCARD_DEFAULT_CONTENT

          public static final java.lang.String DOM_DISCARD_DEFAULT_CONTENT

      See Also:
        Constant Field Values

    - #### DOM_NORMALIZE_CHARACTERS

          public static final java.lang.String DOM_NORMALIZE_CHARACTERS

      See Also:
        Constant Field Values

    - #### DOM_CHECK_CHAR_NORMALIZATION

          public static final java.lang.String DOM_CHECK_CHAR_NORMALIZATION

      See Also:
        Constant Field Values

    - #### DOM_WELLFORMED

          public static final java.lang.String DOM_WELLFORMED

      See Also:
        Constant Field Values

    - #### DOM_SPLIT_CDATA

          public static final java.lang.String DOM_SPLIT_CDATA

      See Also:
        Constant Field Values

    - #### DOM_FORMAT_PRETTY_PRINT

          public static final java.lang.String DOM_FORMAT_PRETTY_PRINT

      See Also:
        Constant Field Values

    - #### DOM_XMLDECL

          public static final java.lang.String DOM_XMLDECL

      See Also:
        Constant Field Values

    - #### DOM_UNKNOWNCHARS

          public static final java.lang.String DOM_UNKNOWNCHARS

      See Also:
        Constant Field Values

    - #### DOM_CERTIFIED

          public static final java.lang.String DOM_CERTIFIED

      See Also:
        Constant Field Values

    - #### DOM_DISALLOW_DOCTYPE

          public static final java.lang.String DOM_DISALLOW_DOCTYPE

      See Also:
        Constant Field Values

    - #### DOM_IGNORE_UNKNOWN_CHARACTER_DENORMALIZATIONS

          public static final java.lang.String DOM_IGNORE_UNKNOWN_CHARACTER_DENORMALIZATIONS

      See Also:
        Constant Field Values

    - #### DOM_RESOURCE_RESOLVER

          public static final java.lang.String DOM_RESOURCE_RESOLVER

      See Also:
        Constant Field Values

    - #### DOM_ERROR_HANDLER

          public static final java.lang.String DOM_ERROR_HANDLER

      See Also:
        Constant Field Values

    - #### DOM_SCHEMA_TYPE

          public static final java.lang.String DOM_SCHEMA_TYPE

      See Also:
        Constant Field Values

    - #### DOM_SCHEMA_LOCATION

          public static final java.lang.String DOM_SCHEMA_LOCATION

      See Also:
        Constant Field Values

    - #### DOM_PSVI

          public static final java.lang.String DOM_PSVI

      See Also:
        Constant Field Values

    - #### XERCES_FEATURE_PREFIX

          public static final java.lang.String XERCES_FEATURE_PREFIX

      Xerces features prefix ("http://apache.org/xml/features/").
      See Also:
        Constant Field Values

    - #### SCHEMA_VALIDATION_FEATURE

          public static final java.lang.String SCHEMA_VALIDATION_FEATURE

      Schema validation feature ("validation/schema").
      See Also:
        Constant Field Values

    - #### SCHEMA_NORMALIZED_VALUE

          public static final java.lang.String SCHEMA_NORMALIZED_VALUE

      Expose schema normalized values
      See Also:
        Constant Field Values

    - #### SCHEMA_ELEMENT_DEFAULT

          public static final java.lang.String SCHEMA_ELEMENT_DEFAULT

      Send schema default value via characters()
      See Also:
        Constant Field Values

    - #### SCHEMA_FULL_CHECKING

          public static final java.lang.String SCHEMA_FULL_CHECKING

      Schema full constraint checking ("validation/schema-full-checking").
      See Also:
        Constant Field Values

    - #### SCHEMA_AUGMENT_PSVI

          public static final java.lang.String SCHEMA_AUGMENT_PSVI

      Augment Post-Schema-Validation-Infoset
      See Also:
        Constant Field Values

    - #### DYNAMIC_VALIDATION_FEATURE

          public static final java.lang.String DYNAMIC_VALIDATION_FEATURE

      Dynamic validation feature ("validation/dynamic").
      See Also:
        Constant Field Values

    - #### WARN_ON_DUPLICATE_ATTDEF_FEATURE

          public static final java.lang.String WARN_ON_DUPLICATE_ATTDEF_FEATURE

      Warn on duplicate attribute declaration feature ("validation/warn-on-duplicate-attdef").
      See Also:
        Constant Field Values

    - #### WARN_ON_UNDECLARED_ELEMDEF_FEATURE

          public static final java.lang.String WARN_ON_UNDECLARED_ELEMDEF_FEATURE

      Warn on undeclared element feature ("validation/warn-on-undeclared-elemdef").
      See Also:
        Constant Field Values

    - #### WARN_ON_DUPLICATE_ENTITYDEF_FEATURE

          public static final java.lang.String WARN_ON_DUPLICATE_ENTITYDEF_FEATURE

      Warn on duplicate entity declaration feature ("warn-on-duplicate-entitydef").
      See Also:
        Constant Field Values

    - #### ALLOW_JAVA_ENCODINGS_FEATURE

          public static final java.lang.String ALLOW_JAVA_ENCODINGS_FEATURE

      Allow Java encoding names feature ("allow-java-encodings").
      See Also:
        Constant Field Values

    - #### DISALLOW_DOCTYPE_DECL_FEATURE

          public static final java.lang.String DISALLOW_DOCTYPE_DECL_FEATURE

      Disallow DOCTYPE declaration feature ("disallow-doctype-decl").
      See Also:
        Constant Field Values

    - #### CONTINUE_AFTER_FATAL_ERROR_FEATURE

          public static final java.lang.String CONTINUE_AFTER_FATAL_ERROR_FEATURE

      Continue after fatal error feature ("continue-after-fatal-error").
      See Also:
        Constant Field Values

    - #### LOAD_DTD_GRAMMAR_FEATURE

          public static final java.lang.String LOAD_DTD_GRAMMAR_FEATURE

      Load dtd grammar when nonvalidating feature ("nonvalidating/load-dtd-grammar").
      See Also:
        Constant Field Values

    - #### LOAD_EXTERNAL_DTD_FEATURE

          public static final java.lang.String LOAD_EXTERNAL_DTD_FEATURE

      Load external dtd when nonvalidating feature ("nonvalidating/load-external-dtd").
      See Also:
        Constant Field Values

    - #### DEFER_NODE_EXPANSION_FEATURE

          public static final java.lang.String DEFER_NODE_EXPANSION_FEATURE

      Defer node expansion feature ("dom/defer-node-expansion").
      See Also:
        Constant Field Values

    - #### CREATE_ENTITY_REF_NODES_FEATURE

          public static final java.lang.String CREATE_ENTITY_REF_NODES_FEATURE

      Create entity reference nodes feature ("dom/create-entity-ref-nodes").
      See Also:
        Constant Field Values

    - #### INCLUDE_IGNORABLE_WHITESPACE

          public static final java.lang.String INCLUDE_IGNORABLE_WHITESPACE

      Include ignorable whitespace feature ("dom/include-ignorable-whitespace").
      See Also:
        Constant Field Values

    - #### DEFAULT_ATTRIBUTE_VALUES_FEATURE

          public static final java.lang.String DEFAULT_ATTRIBUTE_VALUES_FEATURE

      Default attribute values feature ("validation/default-attribute-values").
      See Also:
        Constant Field Values

    - #### VALIDATE_CONTENT_MODELS_FEATURE

          public static final java.lang.String VALIDATE_CONTENT_MODELS_FEATURE

      Validate content models feature ("validation/validate-content-models").
      See Also:
        Constant Field Values

    - #### VALIDATE_DATATYPES_FEATURE

          public static final java.lang.String VALIDATE_DATATYPES_FEATURE

      Validate datatypes feature ("validation/validate-datatypes").
      See Also:
        Constant Field Values

    - #### BALANCE_SYNTAX_TREES

          public static final java.lang.String BALANCE_SYNTAX_TREES

      Balance syntax trees feature ("validation/balance-syntax-trees").
      See Also:
        Constant Field Values

    - #### NOTIFY_CHAR_REFS_FEATURE

          public static final java.lang.String NOTIFY_CHAR_REFS_FEATURE

      Notify character references feature (scanner/notify-char-refs").
      See Also:
        Constant Field Values

    - #### NOTIFY_BUILTIN_REFS_FEATURE

          public static final java.lang.String NOTIFY_BUILTIN_REFS_FEATURE

      Notify built-in (&amp;, etc.) references feature (scanner/notify-builtin-refs").
      See Also:
        Constant Field Values

    - #### STANDARD_URI_CONFORMANT_FEATURE

          public static final java.lang.String STANDARD_URI_CONFORMANT_FEATURE

      Standard URI conformant feature ("standard-uri-conformant").
      See Also:
        Constant Field Values

    - #### GENERATE_SYNTHETIC_ANNOTATIONS_FEATURE

          public static final java.lang.String GENERATE_SYNTHETIC_ANNOTATIONS_FEATURE

      Generate synthetic annotations feature ("generate-synthetic-annotations").
      See Also:
        Constant Field Values

    - #### VALIDATE_ANNOTATIONS_FEATURE

          public static final java.lang.String VALIDATE_ANNOTATIONS_FEATURE

      Validate annotations feature ("validate-annotations").
      See Also:
        Constant Field Values

    - #### HONOUR_ALL_SCHEMALOCATIONS_FEATURE

          public static final java.lang.String HONOUR_ALL_SCHEMALOCATIONS_FEATURE

      Honour all schemaLocations feature ("honour-all-schemaLocations").
      See Also:
        Constant Field Values

    - #### NAMESPACE_GROWTH_FEATURE

          public static final java.lang.String NAMESPACE_GROWTH_FEATURE

      Namespace growth feature ("namespace-growth").
      See Also:
        Constant Field Values

    - #### TOLERATE_DUPLICATES_FEATURE

          public static final java.lang.String TOLERATE_DUPLICATES_FEATURE

      Tolerate duplicates feature ("internal/tolerate-duplicates").
      See Also:
        Constant Field Values

    - #### STRINGS_INTERNED_FEATURE

          public static final java.lang.String STRINGS_INTERNED_FEATURE

      String interned feature ("internal/strings-interned").
      See Also:
        Constant Field Values

    - #### XINCLUDE_FEATURE

          public static final java.lang.String XINCLUDE_FEATURE

      XInclude processing feature ("xinclude").
      See Also:
        Constant Field Values

    - #### XINCLUDE_FIXUP_BASE_URIS_FEATURE

          public static final java.lang.String XINCLUDE_FIXUP_BASE_URIS_FEATURE

      XInclude fixup base URIs feature ("xinclude/fixup-base-uris").
      See Also:
        Constant Field Values

    - #### XINCLUDE_FIXUP_LANGUAGE_FEATURE

          public static final java.lang.String XINCLUDE_FIXUP_LANGUAGE_FEATURE

      XInclude fixup language feature ("xinclude/fixup-language").
      See Also:
        Constant Field Values

    - #### IGNORE_XSI_TYPE_FEATURE

          public static final java.lang.String IGNORE_XSI_TYPE_FEATURE

      Feature to ignore xsi:type attributes on elements during validation, until a global element declaration is found. ("validation/schema/ignore-xsi-type-until-elemdecl") If this feature is on when validating a document, then beginning at the validation root element, xsi:type attributes are ignored until a global element declaration is found for an element. Once a global element declaration has been found, xsi:type attributes will start being processed for the sub-tree beginning at the element for which the declaration was found. Suppose an element A has two element children, B and C. If a global element declaration is found for A, xsi:type attributes on A, B and C, and all of B and C's descendents, will be processed. If no global element declaration is found for A or B, but one is found for C, then xsi:type attributes will be ignored on A and B (and any descendents of B, until a global element declaration is found), but xsi:type attributes will be processed for C and all of C's descendents. Once xsi:type attributes stop being ignored for a subtree, they do not start being ignored again, even if more elements are encountered for which no global element declaration can be found.
      See Also:
        Constant Field Values

    - #### ID_IDREF_CHECKING_FEATURE

          public static final java.lang.String ID_IDREF_CHECKING_FEATURE

      Perform checking of ID/IDREFs ("validation/id-idref-checking")
      See Also:
        Constant Field Values

    - #### IDC_CHECKING_FEATURE

          public static final java.lang.String IDC_CHECKING_FEATURE

      Feature to ignore errors caused by identity constraints ("validation/identity-constraint-checking")
      See Also:
        Constant Field Values

    - #### TYPE_ALTERNATIVES_CHEKING_FEATURE

          public static final java.lang.String TYPE_ALTERNATIVES_CHEKING_FEATURE

      Feature to ignore errors caused by type alternatives
      See Also:
        Constant Field Values

    - #### CTA_FULL_XPATH_CHECKING_FEATURE

          public static final java.lang.String CTA_FULL_XPATH_CHECKING_FEATURE

      Feature to allow full XPath 2.0 checking for CTA processing
      See Also:
        Constant Field Values

    - #### ASSERT_COMMENT_PI_CHECKING_FEATURE

          public static final java.lang.String ASSERT_COMMENT_PI_CHECKING_FEATURE

      Feature to allow if comments and PIs should be available in XDM trees
      See Also:
        Constant Field Values

    - #### UNPARSED_ENTITY_CHECKING_FEATURE

          public static final java.lang.String UNPARSED_ENTITY_CHECKING_FEATURE

      Feature to ignore errors caused by unparsed entities ("validation/unparsed-entity-checking")
      See Also:
        Constant Field Values

    - #### USE_GRAMMAR_POOL_ONLY_FEATURE

          public static final java.lang.String USE_GRAMMAR_POOL_ONLY_FEATURE

      Internal feature. When set to true the schema validator will only use schema components from the grammar pool provided.
      See Also:
        Constant Field Values

    - #### PARSER_SETTINGS

          public static final java.lang.String PARSER_SETTINGS

      Internal performance related feature: false - the parser settings (features/properties) have not changed between 2 parses true - the parser settings have changed between 2 parses NOTE: this feature should only be set by the parser configuration.
      See Also:
        Constant Field Values

    - #### XERCES_PROPERTY_PREFIX

          public static final java.lang.String XERCES_PROPERTY_PREFIX

      Xerces properties prefix ("http://apache.org/xml/properties/").
      See Also:
        Constant Field Values

    - #### CURRENT_ELEMENT_NODE_PROPERTY

          public static final java.lang.String CURRENT_ELEMENT_NODE_PROPERTY

      Current element node property ("dom/current-element-node").
      See Also:
        Constant Field Values

    - #### DOCUMENT_CLASS_NAME_PROPERTY

          public static final java.lang.String DOCUMENT_CLASS_NAME_PROPERTY

      Document class name property ("dom/document-class-name").
      See Also:
        Constant Field Values

    - #### SYMBOL_TABLE_PROPERTY

          public static final java.lang.String SYMBOL_TABLE_PROPERTY

      Symbol table property ("internal/symbol-table").
      See Also:
        Constant Field Values

    - #### ERROR_REPORTER_PROPERTY

          public static final java.lang.String ERROR_REPORTER_PROPERTY

      Error reporter property ("internal/error-reporter").
      See Also:
        Constant Field Values

    - #### ERROR_HANDLER_PROPERTY

          public static final java.lang.String ERROR_HANDLER_PROPERTY

      Error handler property ("internal/error-handler").
      See Also:
        Constant Field Values

    - #### XINCLUDE_HANDLER_PROPERTY

          public static final java.lang.String XINCLUDE_HANDLER_PROPERTY

      XInclude handler property ("internal/xinclude-handler").
      See Also:
        Constant Field Values

    - #### XPOINTER_HANDLER_PROPERTY

          public static final java.lang.String XPOINTER_HANDLER_PROPERTY

      XPointer handler property ("internal/xpointer-handler").
      See Also:
        Constant Field Values

    - #### ENTITY_MANAGER_PROPERTY

          public static final java.lang.String ENTITY_MANAGER_PROPERTY

      Entity manager property ("internal/entity-manager").
      See Also:
        Constant Field Values

    - #### BUFFER_SIZE_PROPERTY

          public static final java.lang.String BUFFER_SIZE_PROPERTY

      Input buffer size property ("input-buffer-size").
      See Also:
        Constant Field Values

    - #### SECURITY_MANAGER_PROPERTY

          public static final java.lang.String SECURITY_MANAGER_PROPERTY

      Security manager property ("security-manager").
      See Also:
        Constant Field Values

    - #### LOCALE_PROPERTY

          public static final java.lang.String LOCALE_PROPERTY

      Locale property ("locale").
      See Also:
        Constant Field Values

    - #### ENTITY_RESOLVER_PROPERTY

          public static final java.lang.String ENTITY_RESOLVER_PROPERTY

      Entity resolver property ("internal/entity-resolver").
      See Also:
        Constant Field Values

    - #### XMLGRAMMAR_POOL_PROPERTY

          public static final java.lang.String XMLGRAMMAR_POOL_PROPERTY

      Grammar pool property ("internal/grammar-pool").
      See Also:
        Constant Field Values

    - #### DATATYPE_VALIDATOR_FACTORY_PROPERTY

          public static final java.lang.String DATATYPE_VALIDATOR_FACTORY_PROPERTY

      Datatype validator factory ("internal/datatype-validator-factory").
      See Also:
        Constant Field Values

    - #### DOCUMENT_SCANNER_PROPERTY

          public static final java.lang.String DOCUMENT_SCANNER_PROPERTY

      Document scanner property ("internal/document-scanner").
      See Also:
        Constant Field Values

    - #### DTD_SCANNER_PROPERTY

          public static final java.lang.String DTD_SCANNER_PROPERTY

      DTD scanner property ("internal/dtd-scanner").
      See Also:
        Constant Field Values

    - #### DTD_PROCESSOR_PROPERTY

          public static final java.lang.String DTD_PROCESSOR_PROPERTY

      DTD processor property ("internal/dtd-processor").
      See Also:
        Constant Field Values

    - #### VALIDATOR_PROPERTY

          public static final java.lang.String VALIDATOR_PROPERTY

      Validator property ("internal/validator").
      See Also:
        Constant Field Values

    - #### DTD_VALIDATOR_PROPERTY

          public static final java.lang.String DTD_VALIDATOR_PROPERTY

      Validator property ("internal/validator/dtd").
      See Also:
        Constant Field Values

    - #### SCHEMA_VALIDATOR_PROPERTY

          public static final java.lang.String SCHEMA_VALIDATOR_PROPERTY

      Validator property ("internal/validator/schema").
      See Also:
        Constant Field Values

    - #### SCHEMA_LOCATION

          public static final java.lang.String SCHEMA_LOCATION

      No namespace schema location property ("schema/external-schemaLocation").
      See Also:
        Constant Field Values

    - #### SCHEMA_NONS_LOCATION

          public static final java.lang.String SCHEMA_NONS_LOCATION

      Schema location property ("schema/external-noNamespaceSchemaLocation").
      See Also:
        Constant Field Values

    - #### NAMESPACE_BINDER_PROPERTY

          public static final java.lang.String NAMESPACE_BINDER_PROPERTY

      Namespace binder property ("internal/namespace-binder").
      See Also:
        Constant Field Values

    - #### NAMESPACE_CONTEXT_PROPERTY

          public static final java.lang.String NAMESPACE_CONTEXT_PROPERTY

      Namespace context property ("internal/namespace-context").
      See Also:
        Constant Field Values

    - #### VALIDATION_MANAGER_PROPERTY

          public static final java.lang.String VALIDATION_MANAGER_PROPERTY

      Validation manager property ("internal/validation-manager").
      See Also:
        Constant Field Values

    - #### ROOT_TYPE_DEFINITION_PROPERTY

          public static final java.lang.String ROOT_TYPE_DEFINITION_PROPERTY

      Schema type for the root element in a document ("validation/schema/root-type-definition").
      See Also:
        Constant Field Values

    - #### ROOT_ELEMENT_DECLARATION_PROPERTY

          public static final java.lang.String ROOT_ELEMENT_DECLARATION_PROPERTY

      Schema element declaration for the root element in a document ("validation/schema/root-element-declaration").
      See Also:
        Constant Field Values

    - #### SCHEMA_DV_FACTORY_PROPERTY

          public static final java.lang.String SCHEMA_DV_FACTORY_PROPERTY

      Schema element declaration for the root element in a document ("internal/validation/schema/dv-factory").
      See Also:
        Constant Field Values

    - #### XML_SCHEMA_VERSION_PROPERTY

          public static final java.lang.String XML_SCHEMA_VERSION_PROPERTY

      XML Schema version property ("validation/schema/version").
      See Also:
        Constant Field Values

    - #### DATATYPE_XML_VERSION_PROPERTY

          public static final java.lang.String DATATYPE_XML_VERSION_PROPERTY

      Datatype XML version property ("validation/schema/datatype-xml-version").
      See Also:
        Constant Field Values

    - #### ELEMENT_PSVI

          public static final java.lang.String ELEMENT_PSVI

      Element PSVI is stored in augmentations using string "ELEMENT_PSVI"
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_PSVI

          public static final java.lang.String ATTRIBUTE_PSVI

      Attribute PSVI is stored in augmentations using string "ATTRIBUTE_PSVI"
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_DECLARED

          public static final java.lang.String ATTRIBUTE_DECLARED

      Boolean indicating whether an attribute is declared in the DTD is stored in augmentations using the string "ATTRIBUTE_DECLARED". The absence of this augmentation indicates that the attribute was not declared in the DTD.
      See Also:
        Constant Field Values

    - #### ENTITY_SKIPPED

          public static final java.lang.String ENTITY_SKIPPED

      Boolean indicating whether an entity referenced in the document has not been read is stored in augmentations using the string "ENTITY_SKIPPED". The absence of this augmentation indicates that the entity had a declaration and was expanded.
      See Also:
        Constant Field Values

    - #### CHAR_REF_PROBABLE_WS

          public static final java.lang.String CHAR_REF_PROBABLE_WS

      Boolean indicating whether a character is a probable white space character (ch <= 0x20) that was the replacement text of a character reference is stored in augmentations using the string "CHAR_REF_PROBABLE_WS". The absence of this augmentation indicates that the character is not probable white space and/or was not included from a character reference.
      See Also:
        Constant Field Values

    - #### XML_VERSION_ERROR

          public static final short XML_VERSION_ERROR

      See Also:
        Constant Field Values

    - #### XML_VERSION_1_0

          public static final short XML_VERSION_1_0

      See Also:
        Constant Field Values

    - #### XML_VERSION_1_1

          public static final short XML_VERSION_1_1

      See Also:
        Constant Field Values

    - #### SCHEMA_1_1_SUPPORT

          public static final boolean SCHEMA_1_1_SUPPORT

      See Also:
        Constant Field Values

    - #### SCHEMA_VERSION_1_0

          public static final short SCHEMA_VERSION_1_0

      See Also:
        Constant Field Values

    - #### SCHEMA_VERSION_1_0_EXTENDED

          public static final short SCHEMA_VERSION_1_0_EXTENDED

      See Also:
        Constant Field Values

    - #### SCHEMA_VERSION_1_1

          public static final short SCHEMA_VERSION_1_1

      See Also:
        Constant Field Values

    - #### IS_TYPE

          public static final short IS_TYPE

      See Also:
        Constant Field Values

    - #### IS_FACET

          public static final short IS_FACET

      See Also:
        Constant Field Values

    - #### TYPE_AND_FACET_AVAILABILITY

          public static final short TYPE_AND_FACET_AVAILABILITY

      See Also:
        Constant Field Values

    - #### TYPE_AND_FACET_UNAVAILABILITY

          public static final short TYPE_AND_FACET_UNAVAILABILITY

      See Also:
        Constant Field Values

    - #### XPATH2_NAMESPACE_CONTEXT

          public static final java.lang.String XPATH2_NAMESPACE_CONTEXT

      See Also:
        Constant Field Values

    - #### IS_CTA_EVALUATOR

          public static final java.lang.String IS_CTA_EVALUATOR

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getSAXFeatures

          public static java.util.Enumeration getSAXFeatures()

      Returns an enumeration of the SAX features.

    - #### getSAXProperties

          public static java.util.Enumeration getSAXProperties()

      Returns an enumeration of the SAX properties.

    - #### getXercesFeatures

          public static java.util.Enumeration getXercesFeatures()

      Returns an enumeration of the Xerces features.

    - #### getXercesProperties

          public static java.util.Enumeration getXercesProperties()

      Returns an enumeration of the Xerces properties.

    - #### main

          public static void main(java.lang.String[] argv)

      Prints all of the constants to standard output.

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.